﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1Upload"
    TagPrefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <!--jQuery References-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.1/jquery.min.js" type="text/javascript"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.23/jquery-ui.min.js"
        type="text/javascript"></script>
    <script type="text/javascript">

        $(document).ready(function () {
            var count = -1;
            $("#C1Upload1").c1upload({
                //cancel buuttons are shown when progress event is raised.
                progress: function (e) {
                   //click event of Cancel Button
                   $(".wijmo-wijupload-cancel").click(function () {
                       count++;
                         //condition to restrict calling server side method only once.
                        if (count == 0) {
                            DeleteTempFiles();
                        }
                    });
                }
            });
            //click event of CancelAll button
            $(".wijmo-wijupload-cancelAll").click(function () {
                DeleteTempFiles();
            });
        });
        //Function to make an ajax() call to server side method.
        function DeleteTempFiles() {

            //place an ajax call to method "DeleteTempFiles" for deleting files in Temp folder
            $.ajax({
                type: "POST",
                url: "Default.aspx/DeleteTempFiles",
                data: "{}",
                contentType: "application/json",
                charset: "utf-8",
                dataType: "json",
                async: true,
                cache: false,
                success: function (msg) {
                    //message returned from server side method.
                    alert(msg.d);
                },
                error: function (x, e) {
                    alert("The call to the server side failed. " + x.responseText);
                }
            });
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <wijmo:C1Upload ID="C1Upload1" runat="server" Width="300px" />
    </form>
</body>
</html>
